Bug 46345 - find-requires marks scripts as executables (errors)
find-requires marks scripts as executables (errors)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-27 22:04 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-27 22:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-27 22:04:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.1 i686)

Description of problem:
The new file (3.34) rpm has changed some of the magic strings.
Scripst now have the word 'executable' in their name, which causes
find-requires to try to run objdump on them, which causes errors.

How reproducible:
Always

Steps to Reproduce:
1.update the 'file' rpm
2.build an RPM with scripts in it (such as kernel..)
3.
	

Actual Results:  objdump:
/var/tmp/kernel/usr/src/linux-2.4.3C2_III/arch/ppc/boot/offset: File format
not recognized

repeated for many files

Expected Results:  silence

Additional info:
Comment 1 Jeff Johnson 2001-06-28 15:03:09 EDT
Yup.

Fixed in rpm-4.0.3 about a month ago.

Note You need to log in before you can comment on or make changes to this bug.